Subject: Re: bug#35660: guix weather runaway memory consumption

From: Ludovic Courtès <[email-masked]>
Date: Mon, 13 May 2019 22:46:22 +0200

Hi Danny,

Danny Milosavljevic <[email-masked]> skribis:

> With guix master a0dc97a517cbc4c82640e30cacb2a564d128bbe9 guix weather consumes
> 8 GB of memory on a machine with 8 GB of memory and 1 GB of swap, then is killed
> by Linux OOM killer.
>
> Reproducible every time.
>
> Reduced problem to GUIX_PACKAGE_PATH being set.
>
> If I unset it, it works.

I don’t think this is the place to debug personal package collections.
:-)

I’d love to give a hand but I feel we’re already overwhelmed with bugs
related to things happening on ‘master’.

WDYT?

Thanks,
Ludo’.